# network segment range

A network segment range is a resource for tenant network segment allocation. A network segment range exposes the segment range management to be administered via the Neutron API. In addition, it introduces the ability for the administrator to control the segment ranges globally or on a per-tenant basis.

Network v2

## network segment range create

Create new network segment range

    openstack network segment range create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--private | --shared]
        [--project <project>]
        [--project-domain <project-domain>]
        --network-type <network-type>
        [--physical-network <physical-network-name>]
        --minimum <minimum-segmentation-id>
        --maximum <maximum-segmentation-id>
        <name>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--private

  Network segment range is assigned specifically to the project

--shared

  Network segment range is shared with other projects

--project <project>

  Network segment range owner (name or ID). Optional when the segment range is shared.

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--network-type <network-type>

  Network type of this network segment range (geneve, gre, vlan or vxlan)

--physical-network <physical-network-name>

  Physical network name of this network segment range

--minimum <minimum-segmentation-id>

  Minimum segment identifier for this network segment range which is based on the network type, VLAN ID for vlan network type and tunnel ID for geneve, gre and vxlan network types

--maximum <maximum-segmentation-id>

  Maximum segment identifier for this network segment range which is based on the network type, VLAN ID for vlan network type and tunnel ID for geneve, gre and vxlan network types

name

  Name of new network segment range

## network segment range delete

Delete network segment range(s)

    openstack network segment range delete
        <network-segment-range>
        [<network-segment-range> ...]

network-segment-range

  Network segment range(s) to delete (name or ID)

## network segment range list

List network segment ranges

    openstack network segment range list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]
        [--used | --unused]
        [--available
        |
        --unavailable
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--used

  List only network segment ranges that have segments in use

--unused

  List only network segment ranges that have segments not in use

--available

  List only network segment ranges that have available segments

--unavailable

  List only network segment ranges without available segments

## network segment range set

Set network segment range properties

    openstack network segment range set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--name <name>]
        [--minimum <minimum-segmentation-id>]
        [--maximum <maximum-segmentation-id>]
        <network-segment-range>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--name <name>

  Set network segment name

--minimum <minimum-segmentation-id>

  Set network segment range minimum segment identifier

--maximum <maximum-segmentation-id>

  Set network segment range maximum segment identifier

network-segment-range

  Network segment range to modify (name or ID)

## network segment range show

Display network segment range details

    openstack network segment range show <network-segment-range>

network-segment-range

  Network segment range to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.